TRACKLIST(1)

NAME
tracklist - manual page for tracklist Version 0.5

SYNOPSIS
tracklist [OPTION] COMMAND ARGUMENTS

DESCRIPTION
tracklist -[bhomqrv] [--debug=(1-4)] COMMAND ARGUMENTS

tracklist logs the operations performed by other commands. It uses libsentry to track the creation, removal and, moving (renaming) of directories, files and links. It also tracks operations performed to change the permissions and ownership of directories, files or links.

--debug=(1-4)
    Preserve debug and intermediate logfiles.

-b --brief
    List only files, directories and links.

-o  --output
    Name/path of output file for file list.

-m  --meta
    Print output in metadata format.

-q, --quiet
    Supress normal output to console of tracked commands.

-r  --root
    Temporary root directory for the debug file.

-h  --help
    display this help and exit

-v  --version
    output version information and exit

The most common usage is to track the output of 'make install': 'tracklist make install' But it can track other commands as well. Note that a single command without arguments will not work. For example: 'tracklist ./install.sh' will fail. To track the output from such a shell script, use: 'tracklist sh ./install.sh'.

tracklist can log the creation, removal and renaming of directories, files and links performed by the commands: cat, cp, (g)install, link, ln, mkdir, mv, rm, rmdir, touch and unlink. It also tracks the changes from the commands chmod and groups. It can also track file ownership modifications, but only if using the binary program chown from coreutils<=5.2.1 (supplied with src2pkg).

tracklist uses libsentry to log system calls. libsentry is a modified version of the installwatch library. After creating the basic logfile, tracklist parses the log into a more readable form and saves it in $HOME/FILELIST, or in the file specified with the '-o' or --output option. Using a debug level 4 will preserve all of the intermediate logfiles with names like FILELIST.dirs, FILELIST.rm. Using a higher value with '--debug=?' increases the detail in the 'real' debug file named 'dbgfile'.

EXAMPLES

    tracklist -b --root /tmp/tracklist make install
    List only files dirs and links created and use /tmp/tracklist as the temporary directory.

    tracklist -m -o FILES sh ./install.sh
    List output in metadata format in the file FILES in the current directory and run the command 'sh ./install.sh'

SEE ALSO
src2pkg trackinstall sentry

    The full documentation for tracklist and other src2pkg programs can be found in the documents included with the package.

AUTHORS
Gilbert Ashley <amigo@ibiblio.org>